using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Data.SqlClient;
using System.Windows.Forms;

namespace RFID
{
    class datosrfid
    {
        SqlConnection MiConexion;
        public void Conectar()
        {
            //la cadena de conexión va a cambiar en sus computadoras... 
            MiConexion = new SqlConnection("Data Source=DANIEL\\SQLEXPRESS;Initial Catalog=datosrfid;Integrated Security=True");
            MiConexion.Open();            
        }

        public void Desconectar()
        {
            MiConexion.Close();
        }

        public void EjecutarSql(String Query)
        {

            SqlCommand MiComando = new SqlCommand(Query, MiConexion);

            //ejecutamos la consulta (query) sql...
            int FilasAfectadas = MiComando.ExecuteNonQuery();

            if (FilasAfectadas > 0)
                MessageBox.Show("Operación realizada exitosamente", "la base de datos ha sido modificada", MessageBoxButtons.OK, MessageBoxIcon.Information);
            else

                MessageBox.Show("No se pudo realizar la modificación de la base de datos :-(", "Error del sistema", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }


        public void ActualizarGrid(DataGridView dg, String Query)
        {

            //conectarnos a la base de datos...
            this.Conectar();

            //crear DataSet
            System.Data.DataSet MiDataSet = new System.Data.DataSet();

            //Crear Adaptador de datos
            SqlDataAdapter MiDataAdapter = new SqlDataAdapter(Query, MiConexion);

            //LLenar el DataSet
            MiDataAdapter.Fill(MiDataSet, "datosrfid");

            //Asignarle el valor adecuado a las propiedades del DataGrid
            dg.DataSource = MiDataSet;
            dg.DataMember = "datosrfid";

            //nos desconectamos de la base de datos...
            this.Desconectar();
        }
    }
}
